/*
 *Header:
 *File: controler.h (for C++)
 *Author: Noda Itsuki
 *Date: 1998/ 1/24
 *EndHeader:
 */

/*
 *Copyright:

    Copyright (C) 1996-2000 Electrotechnical Laboratory. 
    	Itsuki Noda, Yasuo Kuniyoshi and Hitoshi Matsubara.
    Copyright (C) 2000, 2001 RoboCup Soccer Server Maintainance Group.
    	Patrick Riley, Tom Howard, Daniel Polani, Itsuki Noda,
	Mikhail Prokopenko, Jan Wendler 

    This file is a part of SoccerServer.

    This code is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */


#include <X11/Intrinsic.h>

/*
 *===================================================================
 *Part: Controler Class
 *===================================================================
 */
class Controler {
	public:
		XtAppContext	app_context ;			/* application context */
		Widget			top ;					/* top widget */
		Widget			main ;					/* main widget */
		Widget			status ;				/* status widget */
		Widget			buttons ;				/* buttons widget */
		Widget			time ;					/* time widget */
		Widget			quit ;
		Widget			rew ;
		Widget			rev ;
		Widget			minus ;
		Widget			stop ;
		Widget			plus ;
		Widget			play ;
		Widget			ff ;
		Widget			record_buttons ;		/* record buttons widget */
		Widget			rec ;					/* record button widget */
		Widget			blank ;					/* record button widget */
		Widget			jump ;
		Widget			input ;
		Widget			go ;

		void			init(int argc, char **argv) ;
		void			assign(void) ;
		void			display_time(int) ;
		void			display_status(void) ;
		void			change_recmode(void) ;
		void			buttons_reset(void) ;
		void			rew_button_reset(void) ;
		void			rev_button_reset(void) ;
		void			minus_button_reset(void) ;
		void			stop_button_reset_true(void) ;
		void			stop_button_reset_false(void) ;
		void			plus_button_reset(void) ;
		void			play_button_reset(void) ;
		void			for_button_reset(void) ;
		void			blank_button_reset(void) ;
		void			Loop(void) ;
} ;

/*
 *===================================================================
 *Part: fallback resources
 *===================================================================
 */
#define FALLBACK_RESOURCES {\
			"*background: gray75",\
			"*time.background: ivory2",\
			"*time.borderColor: ivory4",\
			"*buttons.background: black",\
			"*rew.borderColor: green",\
			"*rev.borderColor: blue",\
			"*minus.borderColor: red",\
			"*stop.borderColor: red",\
			"*plus.borderColor: red",\
			"*play.borderColor: blue",\
			"*ff.borderColor: green",\
			"*quit.borderColor: black",\
			"*quit.background: navy",\
			"*quit.foreground: white",\
			"*record.background: black",\
			"*rec.foreground: red",\
			"*rec.borderColor: orange",\
			"*blank.borderColor: orange",\
			"*quit.fromHoriz: time",\
			"*status.fromVert: time", \
			"*buttons.fromVert: status",\
			"*rev.fromHoriz: rew",\
			"*minus.fromHoriz: rev",\
			"*stop.fromHoriz: minus",\
			"*plus.fromHoriz: stop",\
			"*play.fromHoriz: plus",\
			"*ff.fromHoriz: play",\
			"*jump.fromVert: buttons",\
			"*jump.fromHoriz: plus",\
			"*jump.background: black",\
			"*go.fromHoriz: input",\
			"*record.fromVert: buttons",\
			"*rec.fromHoriz: blank",\
			NULL }

